Hello. Sorry t bother but would like to ask how can I get rid of the arrow from the MAKE2d Result?
I am not even sue what cause it and cant find anybody else who has same problem on google…
Thank you for any help
P.S Using Rhino6.
Hello. Sorry t bother but would like to ask how can I get rid of the arrow from the MAKE2d Result?
I am not even sue what cause it and cant find anybody else who has same problem on google…
Thank you for any help
P.S Using Rhino6.
It might be helpful to post a 3dm file with the model you apply the make2d to and the complete Rhino SystemInfo for your computer.
Hello - you can try running the Arrowhead
command and click on the arrow end of your lines. But there must be arrowheads o the input curves as well to get this.
-Pascal
Yeah, the same thing happened to me. Very strange. Why is it happening? Is it a bug? Also, @pascal the arrowhead command has to be run on every curve to turn them off… very time consuming.
Here’s a script to clear arrowheads -
import rhinoscriptsyntax as rs
def ClearArrows():
ids = rs.GetObjects("Select curves", 4, preselect=True)
if not ids:return
rs.EnableRedraw(False)
for id in ids:
rs.CurveArrows(id, 0)
rs.EnableRedraw(True)
if __name__ =='__main__': ClearArrows()
file:
ClearArrows.py (330 Bytes)
To use the Python script use RunPythonScript
, or a macro:
_-RunPythonScript "Full path to py file inside double-quotes"
-Pascal
@pascal thanks!
thank you very much for providing this solution, which solved this type of arrow issue I encountered immediately after searching for ansower for quite a while…